%define version 4.3.10

%define realname PDF
%define modname pdf
%define dirname %{modname}
%define soname %{modname}.so
%define inifile 62_%{modname}.ini
%define mod_src pdf.c
%define mod_lib "-lpdf"
%define mod_def "-DHAVE_PDFLIB -DCOMPILE_DL_PDF"

Summary:        The %{realname} module for PHP
Name:           php-%{modname}
Version:        %{version}
Release:        %mkrel 2
Group:          System/Servers
URL:            http://www.php.net
License:        PHP License
Requires:       php432
BuildRequires:  php432-devel
BuildRequires:  libpdf-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-buildroot

%description
The %{name} package is a dynamic shared object (DSO) that adds
%{realname} support to PHP. PHP is an HTML-embedded scripting language. 
If you need %{realname} support for PHP applications, you will need to 
install this package in addition to the php package.

This package is in PLF because it requires PDFlib.

%prep

%setup -c -T
cp -dpR %{_usrsrc}/php-devel/extensions/%{dirname}/* .

%build

%{_usrsrc}/php-devel/buildext %{modname} %{mod_src} %{mod_lib} %{mod_def}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

install -m755 %{soname} %{buildroot}%{_libdir}/php/extensions/

cat > README.%{modname} << EOF
The %{name} package contains a dynamic shared object (DSO) for PHP.
To activate it, make sure a file /etc/php.d/%{inifile} is present and
contains the line 'extension = %{soname}'.
EOF

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{soname}
EOF

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc README*
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}

%changelog
* Sat Apr 09 2004 Pascal Terjan <pterjan@zarb.org> 4.3.10-2plf
- fix extension in changelog 

* Sat Apr 09 2004 Pascal Terjan <pterjan@zarb.org> 4.3.10-1mdk
- build for new php
- sync spec with mdk ones
- add reason for PLF

* Sun Feb 29 2004 Pascal Terjan <CMoi@tuxfamily.org> 4.3.4-1mdk
- first mdk version of this module
